import { IDStr, PathStr, URLStr } from "polar-shared/src/util/Strings";
import { SlugStr } from "polar-shared/src/util/Slugs";
export interface DocPreviewURL {
    readonly id: IDStr;
    readonly category: string | undefined;
    readonly title: string | undefined;
    readonly slug: SlugStr | undefined;
}
export interface ParsedDocPreviewURL {
    readonly id: IDStr;
    readonly category: string | undefined;
    readonly slug: SlugStr | undefined;
}
export declare class DocPreviewURLs {
    static parse(url: URLStr): ParsedDocPreviewURL | undefined;
    static canonicalize(url: URLStr | PathStr): string;
    static create(doc: DocPreviewURL): string;
}
