import { URLStr } from "polar-shared/src/util/Strings";
import { IDocInfo } from "polar-shared/src/metadata/IDocInfo";
export declare class AddURLs {
    static parseWithPathInfo(url: URLStr): AddURL | undefined;
    static parseWithQuery(url: URLStr): AddURL | undefined;
    static parse(url: URLStr): AddURL | undefined;
    static createCorrectedURL(url: string): string;
}
export interface AddURL {
    readonly target: URLStr;
    readonly docInfo?: Partial<IDocInfo>;
}
